# Errors - Deprecated Page

The structure of the API is as follows

<mark style="color:blue;">`GET`</mark> `https://smartsight2.mediamelon.com/mm-apis/error/{customer-id}`

```
//Example
https://smartsight2.mediamelon.com/mm-apis/error/
<Customer ID>?period=start%3D<start epoch time stamp in mS> ,end%3D
<end epoch time stamp in mS>
&metrics=<error dimensions>
&dimension=error
&agg=1                 // For aggregtation
&aggby=<dimensionname> // Group by dimensions
&filter=<expression>   
```

An example would be&#x20;

```
// Example API call

https://smartsight.mediamelon.com/mm-apis/error/159268936?planlevel=2735
&metrics=videoid,key,category,errors
&dimension=error  // to be given for error analytics
&agg=1&period=start=1717085458,end=171717185
8&aggby=videoid,key,category
&offset=0
&limit=10
&filter=videoid=97542

// Sample Response
{
    "totalcount": 10,
    "pagecount": 24,
    "response": [
        {
            "videoid": "97542",
            "key": "PLAYLIST_ERROR",
            "category": "IN_STREAM_FATAL",
            "errors": 162,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_TAG_ERROR",
            "category": "AD_FATAL",
            "errors": 5,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_INVALID_ERROR",
            "category": "AD_FATAL",
            "errors": 5,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_PARSE_ERROR",
            "category": "AD_FATAL",
            "errors": 4,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_INCOMPATIBLE_ERROR",
            "category": "AD_FATAL",
            "errors": 1,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_NETWORK_TIMEOUT_ERROR",
            "category": "AD_ERROR",
            "errors": 9,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_REPLACEMENT_ERROR",
            "category": "AD_FATAL",
            "errors": 6,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_VPAID_CREATIVE_ERROR",
            "category": "AD_FATAL",
            "errors": 3,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_VAST_ERROR",
            "category": "AD_FATAL",
            "errors": 27,
            "totalpages": 24
        },
        {
            "videoid": "97542",
            "key": "AD_INCOMPATIBLE_CREATIVE_ERROR",
            "category": "AD_FATAL",
            "errors": 4,
            "totalpages": 24
        }
    ]
}


```

Error Metrics

| Metric Name   | Description                          |
| ------------- | ------------------------------------ |
| errors        | Total number of errors               |
| users         | Total number  of unique users        |
| concurviewavg | Number of distinct sessions affected |

Error Dimensions

<table><thead><tr><th width="370">Dimension </th><th>Description</th></tr></thead><tbody><tr><td>category</td><td>Error category</td></tr><tr><td>player</td><td>Player Name</td></tr><tr><td>device</td><td>Device Name</td></tr><tr><td>platform</td><td>OS Name</td></tr><tr><td>cdn</td><td>CDN Name</td></tr><tr><td>adserver</td><td>AD Server</td></tr><tr><td>adposition</td><td>Position of the ad POD where the error occurs ( only ad errors )</td></tr><tr><td>assetId</td><td>Asset ID</td></tr><tr><td>assetName</td><td>Asset Name</td></tr><tr><td>episodeNumber</td><td>Episode Number</td></tr><tr><td>season</td><td>Season Number</td></tr><tr><td>seriesTitle</td><td>Series Title</td></tr><tr><td>domainName</td><td>Domain Name</td></tr><tr><td>subscriberid</td><td>Subscriber ID</td></tr><tr><td>sessionid</td><td>Session ID</td></tr><tr><td>ipaddress</td><td>IP Address</td></tr><tr><td>streamURL</td><td>Stream URL</td></tr><tr><td>videoID</td><td>Video ID</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mediamelon.com/mediamelon/smartsight-apis/errors-deprecated-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
